package fr.ippon.direct;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

import fr.ippon.direct.cache.NativeMemoryCache;


/**
 * @author IPPON_NANTES
 * 
 */
public class LaunchDirectExternalizable {
	/**
	 * @param args
	 * @throws InterruptedException
	 * @throws IOException
	 * @throws ClassNotFoundException
	 * @throws InvocationTargetException 
	 * @throws IllegalArgumentException 
	 * @throws IllegalAccessException 
	 * @throws SecurityException 
	 * @throws NoSuchMethodException 
	 * @throws SigarException
	 */
	public static void main(String[] args) throws InterruptedException,
			IOException, ClassNotFoundException, NoSuchMethodException, SecurityException, IllegalAccessException, IllegalArgumentException, InvocationTargetException {
		final int NANO_TO_MILLI = 1000000;
		
		long startTime = System.nanoTime();    
		NativeMemoryCache nmch = Load.loadDirectExternalizable();
		long estimatedTimeTraitement = System.nanoTime() - startTime;
		nmch.print();
		
		System.out.println();
		System.out.println("Externalizable");
		System.out.println("Temps de traitement (ms) : " + estimatedTimeTraitement / NANO_TO_MILLI);

		//nmch.freeBuffer();
		TraceMemory.trace();
	}

}
