package fr.ippon.direct;

import java.io.IOException;

import fr.ippon.direct.cache.MemoryCache;


/**
 * @author IPPON_NANTES
 * 
 */
public class LaunchClassic {
	/**
	 * @param args
	 * @throws InterruptedException 
	 * @throws IOException 
	 * @throws ClassNotFoundException 
	 */
	public static void main(String[] args) throws InterruptedException, IOException, ClassNotFoundException {
		final int NANO_TO_MILLI = 1000000;
		
		long startTime = System.nanoTime();    
		MemoryCache mc = Load.loadClassic();
		long estimatedTimeTraitement = System.nanoTime() - startTime;
		mc.print();
		
		System.out.println();
		System.out.println("Classic");
		System.out.println("Temps de traitement (ms) : " + estimatedTimeTraitement / NANO_TO_MILLI);
		TraceMemory.trace();
	}
	
}
