package fr.ippon.direct;

import java.io.IOException;

import fr.ippon.direct.cache.NativeMemoryCacheUnSafe;


/**
 * @author IPPON_NANTES
 * 
 */
public class LaunchDirectUnsafe {
	/**
	 * @param args
	 * @throws InterruptedException
	 * @throws IOException
	 * @throws ClassNotFoundException
	 * @throws IllegalAccessException 
	 * @throws NoSuchFieldException 
	 * @throws IllegalArgumentException 
	 * @throws SecurityException 
	 * @throws SigarException
	 */
	public static void main(String[] args) throws InterruptedException,
			IOException, ClassNotFoundException, SecurityException, IllegalArgumentException, NoSuchFieldException, IllegalAccessException {
		final int NANO_TO_MILLI = 1000000;
		
		long startTime = System.nanoTime();    
		NativeMemoryCacheUnSafe nmcu = Load.loadUnsafe();
		long estimatedTimeTraitement = System.nanoTime() - startTime;
		nmcu.print();		

		System.out.println();
		System.out.println("Unsafe");
		System.out.println("Temps de traitement (ms) : " + estimatedTimeTraitement / NANO_TO_MILLI);

		nmcu.freeBuffer();
		TraceMemory.trace();
	}

}
