package fr.ippon.direct.cache;

import java.io.IOException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;

import fr.ippon.direct.domain.Commune;


/**
 * @author IPPON_NANTES
 * 
 */
public class MemoryCache {

	private Map<Object, Commune> data = new HashMap<Object, Commune>();

	public void put(Object key, Commune object) throws IOException {
		data.put(key, object);
	}

	public Object get(Object key) throws ClassNotFoundException, IOException {
		return data.get(key);
	}

	public void print() throws ClassNotFoundException, IOException {
		for (Iterator<Map.Entry<Object, Commune>> it = data.entrySet()
				.iterator(); it.hasNext();) {
			Map.Entry<Object, Commune> e = (Entry<Object, Commune>) it.next();
			System.out.println(e.getValue());
		}

	}

}
